import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonSearchbar, IonIcon, IonTabButton, IonTabs, IonTabBar, IonLabel, IonMenu, IonList, IonItem, IonMenuButton } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonSearchbar, IonIcon, IonTabButton, IonTabs, IonTabBar, IonLabel,
    IonMenu, IonList, IonItem, IonMenuButton
  ],
})
export class Tab3Page {
  artworks = [
    {
      id: '1',
      image: '../../assets/img/xingkong.png',
      title: '梵高-星空高清画作',
      description: '致敬梵高 #艺术品 #星空'
    },
    {
      id: '2',
      image: '../../assets/img/xiangrikui.png',
      title: '梵高《向日葵》',
      description: '经典中的经典，笔触很牛！#花'
    },
    {
      id: '3',
      image: '../../assets/img/fangao.png',
      title: '梵高自画像',
      description: '梵高生平自画像之其中🔟副👩‍🎨 #艺术欣赏 #美'
    },
    {
      id: '4',
      image: '../../assets/img/cunzhuang.png',
      title: '阿尔小镇',
      description: '走吧，梵高，去你最爱的阿尔看看，阿尔小镇'
    }
  ];

  ngOnInit() {
    this.red_underline('发现');
  }
  constructor(private router: Router) { }
  red_underline(text: string) {
    const prevUnderlined = document.querySelectorAll('span[underline="true"]') as NodeListOf<HTMLElement>;
    prevUnderlined.forEach((el: HTMLElement) => {
      el.style.textDecoration = 'none';
      el.removeAttribute('underline');
    });
    const target = document.querySelector(`span[data-id="${text}"]`) as HTMLElement;
    if (target) {
      // target.style.textDecoration = 'underline';
      // target.style.textDecorationColor = 'red';
      target.setAttribute('underline', 'true');
    }
  }

  goToDetail(artId: string) {
    console.log('Navigating to artwork:', artId);
    this.router.navigate(['/tabs/art-detail', artId]);
  }
}
